{
  "name": "simple-web",
  "version": "1.0.0",
  "private": true,
  "type": "commonjs",
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build --cache /tmp/empty-cache",
    "test": "react-scripts test --env=jest-environment-jsdom-sixteen",
    "eject": "react-scripts eject",
    "test:CI": "react-scripts test --watchAll=false --coverage --env=jest-environment-jsdom-sixteen"
  },
  "dependencies": {
    "@ant-design/icons": "^4.7.0",
    "@testing-library/jest-dom": "^5.11.1",
    "@testing-library/react": "^10.4.7",
    "@testing-library/user-event": "^7.1.2",
    "@typescript-eslint/eslint-plugin": "^3.8.0",
    "@unform/core": "^2.1.3",
    "@unform/web": "^2.1.3",
    "antd": "^4.18.3",
    "axios": "^0.19.2",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.2",
    "eslint-config-airbnb": "^18.2.0",
    "eslint-plugin-import": "^2.21.2",
    "eslint-plugin-jsx-a11y": "^6.3.0",
    "eslint-plugin-react": "^7.20.0",
    "eslint-plugin-react-hooks": "^4",
    "express": "^4.17.1",
    "file-loader": "^6.2.0",
    "howler": "^2.2.3",
    "install": "^0.13.0",
    "jest-environment-jsdom-sixteen": "^2.0.0",
    "polished": "^4.0.5",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-icons": "^4.1.0",
    "react-router-dom": "^5.2.0",
    "react-scripts": "3.4.0",
    "react-spring": "^8.0.27",
    "styled-components": "^5.1.1",
    "types": "^0.1.1",
    "typescript": "~3.8.2",
    "use-sound": "^4.0.1",
    "uuid": "^8.3.2",
    "uuidv4": "^6.2.6",
    "yup": "^0.28.3"
  },
  "devDependencies": {
    "@testing-library/react-hooks": "^3.3.0",
    "@types/enzyme": "^3.10.5",
    "@types/enzyme-adapter-react-16": "^1.0.6",
    "@types/react-router-dom": "^5.1.5",
    "@types/node": "^12.0.0",
    "@types/react-dom": "^16.9.0",
    "@types/react": "^16.9.0",
    "@types/styled-components": "^5.1.2",
    "@types/yup": "^0.26.36",
    "@types/jest": "^24.0.0",
    "axios-mock-adapter": "^1.18.2",
    "cross-env": "^7.0.3",
    "eslint": "6.8.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-import-resolver-typescript": "^2.2.0",
    "eslint-plugin-prettier": "^3.1.4",
    "prettier": "^2.0.5",
    "react-test-renderer": "^16.13.1"
  },
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{ts,tsx}",
      "!src/App.tsx",
      "!src/index.tsx",
      "!src/react-app-env.d.ts",
      "!src/setupTests.ts",
      "!src/config/*",
      "!src/styles/*",
      "!src/api/**/**/*.ts",
      "!src/routes/Route.tsx",
      "!src/common/**/*.ts"
    ],
    "coverageReporters": [
      "json",
      "text",
      "lcov"
    ],
    "transformIgnorePatterns": [
      "<rootDir>/node_modules/",
      "/build/"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
